Create Price Adjustment
curl --request POST \
--url https://api.lynkwell.com/identity/v1/price-adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sitePartnerId": "<string>",
"name": {
"en_US": "<string>"
},
"type": "PERCENTAGE",
"amount": 123,
"autoApproveInvitations": true,
"currency": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"maxAdjustment": 123,
"networkId": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v1/price-adjustments"
payload = {
"sitePartnerId": "<string>",
"name": { "en_US": "<string>" },
"type": "PERCENTAGE",
"amount": 123,
"autoApproveInvitations": True,
"currency": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"maxAdjustment": 123,
"networkId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sitePartnerId: '<string>',
name: {en_US: '<string>'},
type: 'PERCENTAGE',
amount: 123,
autoApproveInvitations: true,
currency: '<string>',
expirationDate: '2023-11-07T05:31:56Z',
maxAdjustment: 123,
networkId: '<string>'
})
};
fetch('https://api.lynkwell.com/identity/v1/price-adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"sitePartnerId": "<string>",
"name": {
"en_US": "<string>"
},
"currency": "<string>",
"type": "PERCENTAGE",
"amount": 123,
"status": "ACTIVE",
"autoApproveInvitations": true,
"networkId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"maxAdjustment": 123
}
}Price Adjustment
Create Price Adjustment
Create a new price adjustment for a site partner
POST
/
identity
/
v1
/
price-adjustments
Create Price Adjustment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for creating a new price adjustment
Response
OK
Show child attributes
Show child attributes